/**
 * 
 */
package com.example.local.dao;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.hibernate3.HibernateTemplate;
import org.springframework.stereotype.Repository;

import com.example.local.model.LocalAccount;

/**
 * @author PradeepBadiger
 *
 */
@Repository
public class LocalDAO implements ILocalDAO {
	
	private HibernateTemplate hibernateTemplate;
	
	@Autowired
	public void setSessionFactory(SessionFactory sessionFactory) {
		this.hibernateTemplate = new HibernateTemplate(sessionFactory);
	}

	/* (non-Javadoc)
	 * @see com.example.local.dao.ILocalDAO#saveLocalRecord(com.example.local.model.LocalAccount)
	 */
	public LocalAccount saveLocalRecord(LocalAccount localAccount) {
		return hibernateTemplate.merge(localAccount);
	}

}
